// swift-tools-version:5.6
import PackageDescription

let package = Package(
    name: "Schafkopf-Server",
    platforms: [
       .macOS(.v12)
    ],
    dependencies: [
        .package(url: "https://github.com/vapor/vapor.git", from: "4.0.0"),
        .package(url: "https://github.com/vapor/fluent.git", from: "4.0.0"),
        .package(url: "https://github.com/vapor/fluent-sqlite.git", from: "4.0.0"),
        // Alternatives:
        // https://github.com/onevcat/Hedwig <- No updates since Jun 2017
        // https://github.com/Joannis/SMTPKitten <- No updates since 0ct 2020
        // https://github.com/Joannis/VaporSMTPKit <- No updates since 0ct. 2020, uses SMTPKitten
        .package(url: "https://github.com/Kitura/Swift-SMTP", from: "6.0.0"),
        .package(url: "https://github.com/christophhagen/Clairvoyant", from: "0.11.2"),
        .package(url: "https://github.com/christophhagen/ClairvoyantVapor", from: "0.5.0"),
        .package(url: "https://github.com/christophhagen/ClairvoyantBinaryCodable", from: "0.3.1"),
    ],
    targets: [
        .executableTarget(
            name: "App",
            dependencies: [
                .product(name: "Fluent", package: "fluent"),
                .product(name: "FluentSQLiteDriver", package: "fluent-sqlite"),
                .product(name: "Vapor", package: "vapor"),
                .product(name: "SwiftSMTP", package: "Swift-SMTP"),
                .product(name: "Clairvoyant", package: "Clairvoyant"),
                .product(name: "ClairvoyantVapor", package: "ClairvoyantVapor"),
                .product(name: "ClairvoyantBinaryCodable", package: "ClairvoyantBinaryCodable"),
            ]
        )
    ]
)
